Last Comment Bug 744010 - YouSendIt management pane does not display used or remaining storage
: YouSendIt management pane does not display used or remaining storage
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: Thunderbird 15.0
Assigned To: Mike Conley (:mconley) - Getting through review / needinfo backlog
:
:
Mentors:
Depends on: 748215
Blocks: BigFiles 750789
  Show dependency treegraph
 
Reported: 2012-04-10 08:04 PDT by Mike Conley (:mconley) - Getting through review / needinfo backlog
Modified: 2012-05-01 10:16 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Mockup if we cannot get the allocated space value (54.63 KB, image/png)
2012-04-18 14:00 PDT, Mike Conley (:mconley) - Getting through review / needinfo backlog
bwinton: feedback+
Details
Patch if YouSendIt provides those values (6.52 KB, patch)
2012-04-19 12:12 PDT, Mike Conley (:mconley) - Getting through review / needinfo backlog
no flags Details | Diff | Splinter Review
Patch if YouSendIt provides those values, v2 (4.83 KB, patch)
2012-04-26 11:12 PDT, Mike Conley (:mconley) - Getting through review / needinfo backlog
mozilla: review+
mozilla: approval‑comm‑aurora+
mozilla: approval‑comm‑beta+
Details | Diff | Splinter Review
Patch if YouSendIt does not provide values in time, WIP patch 1 (3.61 KB, patch)
2012-05-01 08:51 PDT, Mike Conley (:mconley) - Getting through review / needinfo backlog
no flags Details | Diff | Splinter Review

Description User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-04-10 08:04:35 PDT
The Dropbox management pane shows us a nice graphic for how much space is used, and how much is remaining.

YouSendIt's, on the other hand, is quite empty.

I do know that YSI does not currently give us any information on how much space the user has remaining - we only get how much they've used.  If I recall, this is what prevented us from using the graph.

If YSI doesn't deliver the information we need in time, we should just display to the user how much space they've used.
Comment 1 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-04-10 08:18:15 PDT
I have that completely backwards:

What we DO have:
- How much space the user has remaining (it's the account.availableStorage value passed back when getting user information)

What we DON'T have:
- How much space the user has been allocated to begin with.
Comment 2 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-04-18 12:04:54 PDT
bienvenu:

Having switched to the production server, I still don't see any information coming back to us regarding how much space the user was originally allocated.

Can we assume at this point that we simply will not get that information?

-Mike
Comment 3 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-04-18 14:00:00 PDT
Created attachment 616280 [details]
Mockup if we cannot get the allocated space value

Blake:

If it turns out that we can't get the initial allocated space for the user, would something like this suffice for YouSendIt?

-Mike
Comment 4 User image David :Bienvenu 2012-04-18 15:08:56 PDT
(In reply to Mike Conley (:mconley) from comment #2)
> bienvenu:
> 
> Having switched to the production server, I still don't see any information
> coming back to us regarding how much space the user was originally allocated.
> 
> Can we assume at this point that we simply will not get that information?
I can ask again exactly which information we'll get, and when.

- David
Comment 5 User image Jb Piacentino 2012-04-19 01:48:49 PDT
(In reply to David :Bienvenu from comment #4)
> (In reply to Mike Conley (:mconley) from comment #2)
> > bienvenu:
> > 
> > Having switched to the production server, I still don't see any information
> > coming back to us regarding how much space the user was originally allocated.
> > 
> > Can we assume at this point that we simply will not get that information?
> I can ask again exactly which information we'll get, and when.
I have asked YSI about this yesterday: "I’ll let you know the status on the API tomorrow" was the answer.
Comment 6 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-04-19 12:12:39 PDT
Created attachment 616689 [details] [diff] [review]
Patch if YouSendIt provides those values

If we get the values we need from YouSendIt, this patch displays the graph, etc.
Comment 7 User image Blake Winton (:bwinton) (:☕️) 2012-04-20 11:09:16 PDT
Comment on attachment 616280 [details]
Mockup if we cannot get the allocated space value

Yeah, if they don't give us the information we need, then we can't really do much more than that.  f=me!

Later,
Blake.
Comment 8 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-04-23 08:30:58 PDT
Something else I've just noticed - the availableStorage information we get back from YouSendIt doesn't seem to change.

I just uploaded a 50MB file, and my availableStorage is still at 2147483648 bytes (2GB).

Are we misinterpreting what availableStorage means?  Or are they just not updating how much space we've used?
Comment 9 User image David :Bienvenu 2012-04-23 08:33:05 PDT
I'm clearly not expressing myself well - YSI is not returning "real" values for those fields yet. They're working on it.
Comment 10 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-04-23 08:38:24 PDT
(In reply to David :Bienvenu from comment #9)
> I'm clearly not expressing myself well - YSI is not returning "real" values
> for those fields yet. They're working on it.

Ah, gotcha, understood.
Comment 11 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-04-26 11:12:35 PDT
Created attachment 618725 [details] [diff] [review]
Patch if YouSendIt provides those values, v2
Comment 12 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-04-26 11:14:50 PDT
Comment on attachment 618725 [details] [diff] [review]
Patch if YouSendIt provides those values, v2

The graphing code is copied verbatim from Dropbox's implementation (we should probably abstract that out down the line...)

Should we try to land this, and prepare a patch for if YouSendIt can't get those values to us in time?
Comment 13 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-04-30 11:44:44 PDT
Comment on attachment 618725 [details] [diff] [review]
Patch if YouSendIt provides those values, v2

We'll want this for TB 13 / 14.
Comment 14 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-04-30 12:06:26 PDT
comm-central: http://hg.mozilla.org/comm-central/rev/110308412806
comm-aurora: http://hg.mozilla.org/releases/comm-aurora/rev/f4d9597e9e64
comm-beta: http://hg.mozilla.org/releases/comm-beta/rev/879174a24985
Comment 15 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-05-01 08:51:59 PDT
Created attachment 619941 [details] [diff] [review]
Patch if YouSendIt does not provide values in time, WIP patch 1
Comment 16 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-05-01 10:16:32 PDT
Comment on attachment 619941 [details] [diff] [review]
Patch if YouSendIt does not provide values in time, WIP patch 1

Moving this work to bug 750789.

Note You need to log in before you can comment on or make changes to this bug.